Package org.apache.qpid.proton.amqp.transport

# Interface FrameBody.FrameBodyHandler<E>

All Known Implementing Classes:
  `TransportImpl`

Enclosing interface:
  `FrameBody`

public static interface FrameBody.FrameBodyHandler<E>

## Method Summary

Modifier and Type
Method
Description
`void`
`handleAttach(Attach attach, Binary payload, E context)`
`void`
`handleBegin(Begin begin, Binary payload, E context)`
`void`
`handleClose(Close close, Binary payload, E context)`
`void`
`handleDetach(Detach detach, Binary payload, E context)`
`void`
`handleDisposition(Disposition disposition, Binary payload, E context)`
`void`
`handleEnd(End end, Binary payload, E context)`
`void`
`handleFlow(Flow flow, Binary payload, E context)`
`void`
`handleOpen(Open open, Binary payload, E context)`
`void`
`handleTransfer(Transfer transfer, Binary payload, E context)`

## Method Details

### handleOpen

void handleOpen(Open open, Binary payload, E context)

### handleBegin

void handleBegin(Begin begin, Binary payload, E context)

### handleAttach

void handleAttach(Attach attach, Binary payload, E context)

### handleFlow

void handleFlow(Flow flow, Binary payload, E context)

### handleTransfer

void handleTransfer(Transfer transfer, Binary payload, E context)

### handleDisposition

void handleDisposition(Disposition disposition, Binary payload, E context)

### handleDetach

void handleDetach(Detach detach, Binary payload, E context)

### handleEnd

void handleEnd(End end, Binary payload, E context)

### handleClose

void handleClose(Close close, Binary payload, E context)